Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Interface NotifyAttributes

    public interface NotifyAttributes

Author:
  Bernard Labno

Method Summary
`Integer` | `getAnimationSpeed()`
`String` | `getAppearAnimation()`
`Integer` | `getDelay()`
`String` | `getHideAnimation()`
`Double` | `getNonblockingOpacity()`
`String` | `getStack()`
`Integer` | `getStayTime()`
`String` | `getStyleClass()`
`boolean` | `isNonblocking()`
`boolean` | `isShowCloseButton()`
`boolean` | `isShowHistory()`
`boolean` | `isShowShadow()`
`boolean` | `isSticky()`
`void` | `setAnimationSpeed(Integer animationSpeed)`
`void` | `setAppearAnimation(String appearAnimation)`
`void` | `setDelay(Integer delay)`
`void` | `setHideAnimation(String hideAnimation)`
`void` | `setNonblocking(boolean nonblocking)`
`void` | `setNonblockingOpacity(Double nonblockingOpacity)`
`void` | `setShowCloseButton(boolean showCloseButton)`
`void` | `setShowHistory(boolean showHistory)`
`void` | `setShowShadow(boolean showShadow)`
`void` | `setStack(String stack)`
`void` | `setStayTime(Integer time)`
`void` | `setSticky(boolean sticky)`
`void` | `setStyleClass(String styleClass)`

Method Detail

### isSticky

    boolean isSticky()

### setSticky

    void setSticky(boolean sticky)

### getStayTime

    Integer getStayTime()

### setStayTime

    void setStayTime(Integer time)

### getDelay

    Integer getDelay()

### setDelay

    void setDelay(Integer delay)

### getStyleClass

    String getStyleClass()

### setStyleClass

    void setStyleClass(String styleClass)

### getAppearAnimation

    String getAppearAnimation()

### setAppearAnimation

    void setAppearAnimation(String appearAnimation)

### getHideAnimation

    String getHideAnimation()

### setHideAnimation

    void setHideAnimation(String hideAnimation)

### getAnimationSpeed

    Integer getAnimationSpeed()

### setAnimationSpeed

    void setAnimationSpeed(Integer animationSpeed)

### isShowHistory

    boolean isShowHistory()

### setShowHistory

    void setShowHistory(boolean showHistory)

### isNonblocking

    boolean isNonblocking()

### setNonblocking

    void setNonblocking(boolean nonblocking)

### isShowShadow

    boolean isShowShadow()

### setShowShadow

    void setShowShadow(boolean showShadow)

### isShowCloseButton

    boolean isShowCloseButton()

### setShowCloseButton

    void setShowCloseButton(boolean showCloseButton)

### getNonblockingOpacity

    Double getNonblockingOpacity()

### setNonblockingOpacity

    void setNonblockingOpacity(Double nonblockingOpacity)

### getStack

    String getStack()

### setStack

    void setStack(String stack)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.